=== modified file 'NEWS'
--- NEWS	2008-01-08 19:39:39 +0000
+++ NEWS	2008-01-23 16:18:27 +0000
@@ -1,5 +1,12 @@
 0.94.0  UNRELEASED
 
+ UI
+
+  * Made the tags associated with a revision render next to the revision
+    node in the branch view. (Ali Sabil)
+
+  * Made the tag list in the revision view be comma-separated. (Daniel Schierbeck)
+
  BUG FIXES
  
   * Catch UnsupportedProtocol exception in the Nautilus extension. (#77965)

=== modified file 'branchview/graphcell.py'
--- branchview/graphcell.py	2008-01-21 15:57:05 +0000
+++ branchview/graphcell.py	2008-01-22 22:58:29 +0000
@@ -216,13 +216,18 @@
         TAG_COLOUR_ID = 1
 
         (column, colour) = self.node
+
+        font_desc = pango.FontDescription()
+        font_desc.set_size(pango.SCALE * 7)
+
         tag_layout = pango.Layout(pango_ctx)
+        tag_layout.set_font_description(font_desc)
 
         # The width of the tag label stack
         width = 0
 
         for tag_idx, tag in enumerate(self.tags):
-            tag_layout.set_markup(" <small>" + tag + "</small> ")
+            tag_layout.set_text(" " + tag + " ")
             text_width, text_height = tag_layout.get_pixel_size()
 
             x0 = cell_area.x + \

=== modified file 'branchview/treemodel.py'
--- branchview/treemodel.py	2008-01-21 17:23:10 +0000
+++ branchview/treemodel.py	2008-01-23 16:24:25 +0000
@@ -1,137 +1,140 @@
-# -*- coding: UTF-8 -*-
-"""Tree model.
-
-"""
-
-__copyright__ = "Copyright  2005 Canonical Ltd."
-__author__    = "Gary van der Merwe <garyvdm@gmail.com>"
-
-
-import gtk
-import gobject
-import pango
-import re
-from xml.sax.saxutils import escape
-
-from time import (strftime, localtime)
-
-REVID = 0
-NODE = 1
-LINES = 2
-LAST_LINES = 3
-REVNO = 4
-MESSAGE = 5
-COMMITER = 6
-TIMESTAMP = 7
-REVISION = 8
-PARENTS = 9
-CHILDREN = 10
-TAGS = 11
-
-class TreeModel(gtk.GenericTreeModel):
-
-    
-    def __init__ (self, branch, line_graph_data):
-        gtk.GenericTreeModel.__init__(self)
-        self.revisions = {}
-        self.branch = branch
-        self.repository = branch.repository
-        self.line_graph_data = line_graph_data
-
-        if self.branch.supports_tags():
-            self.tags = self.branch.tags.get_reverse_tag_dict()
-        else:
-            self.tags = {}
-
-    def add_tag(self, tag, revid):
-        self.branch.tags.set_tag(tag, revid)
-        try:
-            self.tags[revid].append(tag)
-        except KeyError:
-            self.tags[revid] = [tag]
-
-    def on_get_flags(self):
-        return gtk.TREE_MODEL_LIST_ONLY
-    
-    def on_get_n_columns(self):
-        return 12
-    
-    def on_get_column_type(self, index):
-        if index == REVID: return gobject.TYPE_STRING
-        if index == NODE: return gobject.TYPE_PYOBJECT
-        if index == LINES: return gobject.TYPE_PYOBJECT
-        if index == LAST_LINES: return gobject.TYPE_PYOBJECT
-        if index == REVNO: return gobject.TYPE_STRING
-        if index == MESSAGE: return gobject.TYPE_STRING
-        if index == COMMITER: return gobject.TYPE_STRING
-        if index == TIMESTAMP: return gobject.TYPE_STRING
-        if index == REVISION: return gobject.TYPE_PYOBJECT
-        if index == PARENTS: return gobject.TYPE_PYOBJECT
-        if index == CHILDREN: return gobject.TYPE_PYOBJECT
-        if index == TAGS: return gobject.TYPE_PYOBJECT
-        
-    def on_get_iter(self, path):
-        return path[0]
-    
-    def on_get_path(self, rowref):
-        return rowref
-    
-    def on_get_value(self, rowref, column):
-        if len(self.line_graph_data) > 0:
-            (revid, node, lines, parents,
-             children, revno_sequence) = self.line_graph_data[rowref]
-        else:
-            (revid, node, lines, parents,
-             children, revno_sequence) = (None, (0, 0), (), (),
-                                          (), ())
-        if column == REVID: return revid
-        if column == NODE: return node
-        if column == LINES: return lines
-        if column == PARENTS: return parents
-        if column == CHILDREN: return children
-        if column == LAST_LINES:
-            if rowref>0:
-                return self.line_graph_data[rowref-1][2]
-            return []
-        if column == REVNO: return ".".join(["%d" % (revno)
-                                      for revno in revno_sequence])
-
-        if column == TAGS: return self.tags.get(revid, [])
-
-        if revid is None:
-            return None
-        if revid not in self.revisions:
-            revision = self.repository.get_revisions([revid])[0]
-            self.revisions[revid] = revision
-        else:
-            revision = self.revisions[revid]
-        
-        if column == REVISION: return revision
-        if column == MESSAGE: return escape(revision.get_summary())
-        if column == COMMITER: return re.sub('<.*@.*>', '', 
-                                             revision.committer).strip(' ')
-        if column == TIMESTAMP: 
-            return strftime("%Y-%m-%d %H:%M", localtime(revision.timestamp))
-
-    def on_iter_next(self, rowref):
-        if rowref < len(self.line_graph_data) - 1:
-            return rowref+1
-        return None
-    
-    def on_iter_children(self, parent):
-        if parent is None: return 0
-        return None
-    
-    def on_iter_has_child(self, rowref):
-        return False
-    
-    def on_iter_n_children(self, rowref):
-        if rowref is None: return len(self.line_graph_data)
-        return 0
-    
-    def on_iter_nth_child(self, parent, n):
-        if parent is None: return n
-        return None
-    
-    def on_iter_parent(self, child):
-        return None
+# -*- coding: UTF-8 -*-
+"""Tree model.
+
+"""
+
+__copyright__ = "Copyright  2005 Canonical Ltd."
+__author__    = "Gary van der Merwe <garyvdm@gmail.com>"
+
+
+import gtk
+import gobject
+import pango
+import re
+from xml.sax.saxutils import escape
+
+from time import (strftime, localtime)
+
+REVID = 0
+NODE = 1
+LINES = 2
+LAST_LINES = 3
+REVNO = 4
+SUMMARY = 5
+MESSAGE = 6
+COMMITTER = 7
+TIMESTAMP = 8
+REVISION = 9
+PARENTS = 10
+CHILDREN = 11
+TAGS = 12
+
+class TreeModel(gtk.GenericTreeModel):
+
+    
+    def __init__ (self, branch, line_graph_data):
+        gtk.GenericTreeModel.__init__(self)
+        self.revisions = {}
+	self.branch = branch
+        self.repository = branch.repository
+        self.line_graph_data = line_graph_data
+
+    	if self.branch.supports_tags():
+            self.tags = self.branch.tags.get_reverse_tag_dict()
+        else:
+            self.tags = {}
+
+    def add_tag(self, tag, revid):
+        self.branch.tags.set_tag(tag, revid)
+        try:
+            self.tags[revid].append(tag)
+        except KeyError:
+            self.tags[revid] = [tag]
+
+    def on_get_flags(self):
+        return gtk.TREE_MODEL_LIST_ONLY
+    
+    def on_get_n_columns(self):
+        return 13
+    
+    def on_get_column_type(self, index):
+        if index == REVID: return gobject.TYPE_STRING
+        if index == NODE: return gobject.TYPE_PYOBJECT
+        if index == LINES: return gobject.TYPE_PYOBJECT
+        if index == LAST_LINES: return gobject.TYPE_PYOBJECT
+        if index == REVNO: return gobject.TYPE_STRING
+        if index == SUMMARY: return gobject.TYPE_STRING
+        if index == MESSAGE: return gobject.TYPE_STRING
+        if index == COMMITTER: return gobject.TYPE_STRING
+        if index == TIMESTAMP: return gobject.TYPE_STRING
+        if index == REVISION: return gobject.TYPE_PYOBJECT
+        if index == PARENTS: return gobject.TYPE_PYOBJECT
+        if index == CHILDREN: return gobject.TYPE_PYOBJECT
+        if index == TAGS: return gobject.TYPE_PYOBJECT
+        
+    def on_get_iter(self, path):
+        return path[0]
+    
+    def on_get_path(self, rowref):
+        return rowref
+    
+    def on_get_value(self, rowref, column):
+        if len(self.line_graph_data) > 0:
+            (revid, node, lines, parents,
+             children, revno_sequence) = self.line_graph_data[rowref]
+        else:
+            (revid, node, lines, parents,
+             children, revno_sequence) = (None, (0, 0), (), (),
+                                          (), ())
+        if column == REVID: return revid
+        if column == NODE: return node
+        if column == LINES: return lines
+        if column == PARENTS: return parents
+        if column == CHILDREN: return children
+        if column == LAST_LINES:
+            if rowref>0:
+                return self.line_graph_data[rowref-1][2]
+            return []
+        if column == REVNO: return ".".join(["%d" % (revno)
+                                      for revno in revno_sequence])
+
+        if column == TAGS: return self.tags.get(revid, [])
+
+        if revid is None:
+            return None
+        if revid not in self.revisions:
+            revision = self.repository.get_revisions([revid])[0]
+            self.revisions[revid] = revision
+        else:
+            revision = self.revisions[revid]
+        
+        if column == REVISION: return revision
+        if column == SUMMARY: return escape(revision.get_summary())
+        if column == MESSAGE: return escape(revision.message)
+        if column == COMMITTER: return re.sub('<.*@.*>', '', 
+                                             revision.committer).strip(' ')
+        if column == TIMESTAMP: 
+            return strftime("%Y-%m-%d %H:%M", localtime(revision.timestamp))
+
+    def on_iter_next(self, rowref):
+        if rowref < len(self.line_graph_data) - 1:
+            return rowref+1
+        return None
+    
+    def on_iter_children(self, parent):
+        if parent is None: return 0
+        return None
+    
+    def on_iter_has_child(self, rowref):
+        return False
+    
+    def on_iter_n_children(self, rowref):
+        if rowref is None: return len(self.line_graph_data)
+        return 0
+    
+    def on_iter_nth_child(self, parent, n):
+        if parent is None: return n
+        return None
+    
+    def on_iter_parent(self, child):
+        return None

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2008-01-21 17:32:13 +0000
+++ branchview/treeview.py	2008-01-23 16:24:25 +0000
@@ -346,13 +346,13 @@
         cell = gtk.CellRendererText()
         cell.set_property("width-chars", 65)
         cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.msg_column = gtk.TreeViewColumn("Message")
-        self.msg_column.set_resizable(True)
-        self.msg_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.msg_column.set_fixed_width(cell.get_size(self.treeview)[2])
-        self.msg_column.pack_start(cell, expand=True)
-        self.msg_column.add_attribute(cell, "markup", treemodel.MESSAGE)
-        self.treeview.append_column(self.msg_column)
+        self.summary_column = gtk.TreeViewColumn("Summary")
+        self.summary_column.set_resizable(True)
+        self.summary_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
+        self.summary_column.set_fixed_width(cell.get_size(self.treeview)[2])
+        self.summary_column.pack_start(cell, expand=True)
+        self.summary_column.add_attribute(cell, "markup", treemodel.SUMMARY)
+        self.treeview.append_column(self.summary_column)
 
         cell = gtk.CellRendererText()
         cell.set_property("width-chars", 15)
@@ -362,7 +362,7 @@
         self.committer_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
         self.committer_column.set_fixed_width(cell.get_size(self.treeview)[2])
         self.committer_column.pack_start(cell, expand=True)
-        self.committer_column.add_attribute(cell, "text", treemodel.COMMITER)
+        self.committer_column.add_attribute(cell, "text", treemodel.COMMITTER)
         self.treeview.append_column(self.committer_column)
 
         cell = gtk.CellRendererText()

=== modified file 'revisionview.py'
--- revisionview.py	2008-01-21 17:32:13 +0000
+++ revisionview.py	2008-01-23 16:24:25 +0000
@@ -209,16 +209,8 @@
             self.tags_label.hide()
             return
 
-        for widget in self.tags_widgets:
-            self.tags_list.remove(widget)
-
-        self.tags_widgets = []
-
-        for tag in tags:
-            widget = gtk.Label(tag)
-            widget.set_selectable(True)
-            self.tags_widgets.append(widget)
-            self.tags_list.add(widget)
+        self.tags_list.set_text(", ".join(tags))
+
         self.tags_list.show_all()
         self.tags_label.show_all()
         
@@ -374,12 +366,11 @@
         self.tags_label.show()
 
         align = gtk.Alignment(0.0, 0.5)
-        self.tags_list = gtk.VBox()
+        self.tags_list = gtk.Label()
         align.add(self.tags_list)
         self.table.attach(align, 1, 2, 5, 6, gtk.EXPAND | gtk.FILL, gtk.FILL)
         align.show()
         self.tags_list.show()
-        self.tags_widgets = []
 
         self.connect('notify::revision', self._add_tags)
 

